"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Observable_1 = require("rxjs/Observable");
var ColdObservable_1 = require("rxjs/testing/ColdObservable");
var HotObservable_1 = require("rxjs/testing/HotObservable");
var marbleAssert_1 = require("./assert/marbleAssert");
var parseObservableMarble_1 = require("./marbles/parseObservableMarble");
var parseSubscriptionMarble_1 = require("./marbles/parseSubscriptionMarble");
var TestMessage_1 = require("./message/TestMessage");
exports.complete = TestMessage_1.complete;
exports.error = TestMessage_1.error;
exports.next = TestMessage_1.next;
exports.subscribe = TestMessage_1.subscribe;
var TestScheduler_1 = require("./scheduler/TestScheduler");
//workaround TS4029 by explicitly import types and avoid unused import error
(function () { return Observable_1.Observable.toString(); })();
(function () { return ColdObservable_1.ColdObservable.toString(); })();
(function () { return HotObservable_1.HotObservable.toString(); })();
var rxSandbox = {
    create: function (autoFlush, frameTimeFactor) {
        if (autoFlush === void 0) { autoFlush = false; }
        if (frameTimeFactor === void 0) { frameTimeFactor = 1; }
        var scheduler = new TestScheduler_1.TestScheduler(autoFlush, frameTimeFactor);
        return {
            hot: scheduler.createHotObservable.bind(scheduler),
            cold: scheduler.createColdObservable.bind(scheduler),
            flush: scheduler.flush.bind(scheduler),
            getMessages: scheduler.getMessages.bind(scheduler),
            e: function (marble, value, error) {
                return parseObservableMarble_1.parseObservableMarble(marble, value, error, true, frameTimeFactor);
            },
            s: function (marble) { return parseSubscriptionMarble_1.parseSubscriptionMarble(marble, frameTimeFactor); }
        };
    },
    marbleAssert: marbleAssert_1.marbleAssert
};
exports.rxSandbox = rxSandbox;
//# sourceMappingURL=index.js.map