import { Observable } from 'rxjs/Observable';
import { VirtualTimeScheduler } from 'rxjs/scheduler/VirtualTimeScheduler';
import { ColdObservable } from 'rxjs/testing/ColdObservable';
import { HotObservable } from 'rxjs/testing/HotObservable';
import { TestMessage } from '../message/TestMessage';
/**
 * @internal
 */
declare class TestScheduler extends VirtualTimeScheduler {
    private readonly autoFlush;
    private readonly frameTimeFactor;
    private readonly coldObservables;
    private readonly hotObservables;
    private flushed;
    constructor(autoFlush?: boolean, frameTimeFactor?: number);
    flush(): void;
    getMessages<T = string>(observable: Observable<T>, unsubscriptionMarbles?: string | null): TestMessage<T | TestMessage<T>[]>[];
    createColdObservable<T = string>(marble: string, value?: {
        [key: string]: T;
    } | null, error?: any): ColdObservable<T>;
    createColdObservable<T = string>(message: Array<TestMessage<T>>): ColdObservable<T>;
    createHotObservable<T = string>(marble: string, value?: {
        [key: string]: T;
    } | null, error?: any): HotObservable<T>;
    createHotObservable<T = string>(message: Array<TestMessage<T>>): HotObservable<T>;
    private materializeInnerObservable<T>(observable, outerFrame);
}
export { TestScheduler };
